import flattenNestedFragments from '@mo36924/babel-plugin-flatten-nested-fragments';
import injectAssetJsxElements from '@mo36924/babel-plugin-inject-asset-jsx-elements';
import jsxDisplayName from '@mo36924/babel-plugin-jsx-display-name';
import replaceJsxElements from '@mo36924/babel-plugin-replace-jsx-elements';
import serverFunction from '@mo36924/babel-plugin-server-function';

var index = ((_ = {}, { development, server, manifest = {} } = {})=>{
    return {
        plugins: [
            [
                serverFunction,
                {
                    development,
                    server
                }
            ],
            [
                injectAssetJsxElements,
                manifest
            ],
            [
                replaceJsxElements,
                server ? {
                    body: "Body",
                    A: "a"
                } : {
                    html: "Fragment",
                    head: "Fragment",
                    meta: "Fragment",
                    link: "Fragment",
                    script: "Fragment",
                    body: "Fragment",
                    title: "Title",
                    A: "a"
                }
            ],
            flattenNestedFragments,
            [
                jsxDisplayName,
                development ? undefined : false
            ]
        ]
    };
});

export { index as default };
